// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		344FF80C25AC4EC500A9FF74 /* BookmarksViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 344FF80B25AC4EC500A9FF74 /* BookmarksViewModel.swift */; };
		344FF81125AC4EEB00A9FF74 /* BookmarksDataSource.swift in Sources */ = {isa = PBXBuildFile; fileRef = 344FF81025AC4EEB00A9FF74 /* BookmarksDataSource.swift */; };
		344FF82225AC4FBA00A9FF74 /* StoryCVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 344FF82025AC4FBA00A9FF74 /* StoryCVC.swift */; };
		344FF82325AC4FBA00A9FF74 /* StoryCVC.xib in Resources */ = {isa = PBXBuildFile; fileRef = 344FF82125AC4FBA00A9FF74 /* StoryCVC.xib */; };
		3468D52725AC8C430064A5BC /* DBHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3468D52625AC8C430064A5BC /* DBHelper.swift */; };
		3468D52C25ACE4B30064A5BC /* StoryDetailsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3468D52B25ACE4B30064A5BC /* StoryDetailsVC.swift */; };
		3468D53125ACEAFB0064A5BC /* StoryDetailsViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3468D53025ACEAFB0064A5BC /* StoryDetailsViewModel.swift */; };
		3468D53725ACF2190064A5BC /* ControllerManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3468D53625ACF2190064A5BC /* ControllerManager.swift */; };
		346EF10C25AB3F5600542244 /* placeholder.png in Resources */ = {isa = PBXBuildFile; fileRef = 346EF0E525AB3F5600542244 /* placeholder.png */; };
		346EF10E25AB3F5600542244 /* SDStateView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF0EA25AB3F5600542244 /* SDStateView.swift */; };
		346EF10F25AB3F5600542244 /* UILayout.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF0EC25AB3F5600542244 /* UILayout.swift */; };
		346EF11025AB3F5600542244 /* UIViewAutolayout.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF0ED25AB3F5600542244 /* UIViewAutolayout.swift */; };
		346EF11125AB3F5600542244 /* SDStateViewExt.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF0EE25AB3F5600542244 /* SDStateViewExt.swift */; };
		346EF11C25AB3F5600542244 /* JSONEncoderDecoder.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF0FD25AB3F5600542244 /* JSONEncoderDecoder.swift */; };
		346EF11E25AB3F5600542244 /* DynamicValue.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF0FF25AB3F5600542244 /* DynamicValue.swift */; };
		346EF12325AB3F5600542244 /* APIService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF10625AB3F5600542244 /* APIService.swift */; };
		346EF12425AB3F5600542244 /* Connectivity.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF10725AB3F5600542244 /* Connectivity.swift */; };
		346EF14B25AB9FBF00542244 /* TopStoriesVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF14A25AB9FBE00542244 /* TopStoriesVC.swift */; };
		346EF15025AB9FD200542244 /* BookmarksVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF14F25AB9FD200542244 /* BookmarksVC.swift */; };
		346EF15525ABA4E500542244 /* BaseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF15425ABA4E500542244 /* BaseVC.swift */; };
		346EF15E25ABA54100542244 /* StoryTVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF15C25ABA54100542244 /* StoryTVC.swift */; };
		346EF15F25ABA54100542244 /* StoryTVC.xib in Resources */ = {isa = PBXBuildFile; fileRef = 346EF15D25ABA54100542244 /* StoryTVC.xib */; };
		346EF16D25ABAD7C00542244 /* Story.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF16C25ABAD7C00542244 /* Story.swift */; };
		346EF17825ABBD3900542244 /* GenericDataSource.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF17725ABBD3900542244 /* GenericDataSource.swift */; };
		346EF17D25ABBFB000542244 /* TopStoriesDataSource.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF17C25ABBFB000542244 /* TopStoriesDataSource.swift */; };
		346EF18225ABC2C900542244 /* TopStoriesViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF18125ABC2C900542244 /* TopStoriesViewModel.swift */; };
		346EF18725ABCCD700542244 /* GenericData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 346EF18625ABCCD700542244 /* GenericData.swift */; };
		34C01D3625AA0C1B000386F7 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 34C01D3525AA0C1B000386F7 /* AppDelegate.swift */; };
		34C01D3825AA0C1B000386F7 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 34C01D3725AA0C1B000386F7 /* SceneDelegate.swift */; };
		34C01D3D25AA0C1B000386F7 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 34C01D3B25AA0C1B000386F7 /* Main.storyboard */; };
		34C01D4225AA0C1F000386F7 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 34C01D4125AA0C1F000386F7 /* Assets.xcassets */; };
		34C01D4525AA0C1F000386F7 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 34C01D4325AA0C1F000386F7 /* LaunchScreen.storyboard */; };
		34C01D5025AA0C1F000386F7 /* NewYourkTimesTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 34C01D4F25AA0C1F000386F7 /* NewYourkTimesTests.swift */; };
		34C01D5B25AA0C1F000386F7 /* NewYourkTimesUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 34C01D5A25AA0C1F000386F7 /* NewYourkTimesUITests.swift */; };
		7017CC309A87581EA9D958B4 /* Pods_NewYourkTimesTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = A03A79C802B48F6AEBF260DE /* Pods_NewYourkTimesTests.framework */; };
		E10A12A1391DE45926A853C6 /* Pods_NewYourkTimes.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0F32E786891FCF6E5072B9FC /* Pods_NewYourkTimes.framework */; };
		F03389EE0172C4BB725D46B8 /* Pods_NewYourkTimes_NewYourkTimesUITests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 042A32BBD8F1F25D909CE8DD /* Pods_NewYourkTimes_NewYourkTimesUITests.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		34C01D4C25AA0C1F000386F7 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 34C01D2A25AA0C1B000386F7 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 34C01D3125AA0C1B000386F7;
			remoteInfo = NewYourkTimes;
		};
		34C01D5725AA0C1F000386F7 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 34C01D2A25AA0C1B000386F7 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 34C01D3125AA0C1B000386F7;
			remoteInfo = NewYourkTimes;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		042A32BBD8F1F25D909CE8DD /* Pods_NewYourkTimes_NewYourkTimesUITests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_NewYourkTimes_NewYourkTimesUITests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		082FBD32F4D50E70FE9F0DD2 /* Pods-NewYourkTimes-NewYourkTimesUITests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewYourkTimes-NewYourkTimesUITests.release.xcconfig"; path = "Target Support Files/Pods-NewYourkTimes-NewYourkTimesUITests/Pods-NewYourkTimes-NewYourkTimesUITests.release.xcconfig"; sourceTree = "<group>"; };
		0F32E786891FCF6E5072B9FC /* Pods_NewYourkTimes.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_NewYourkTimes.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		15242D28E3D1B34A0C6C9249 /* Pods-NewYourkTimesTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewYourkTimesTests.release.xcconfig"; path = "Target Support Files/Pods-NewYourkTimesTests/Pods-NewYourkTimesTests.release.xcconfig"; sourceTree = "<group>"; };
		344FF80B25AC4EC500A9FF74 /* BookmarksViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookmarksViewModel.swift; sourceTree = "<group>"; };
		344FF81025AC4EEB00A9FF74 /* BookmarksDataSource.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookmarksDataSource.swift; sourceTree = "<group>"; };
		344FF82025AC4FBA00A9FF74 /* StoryCVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StoryCVC.swift; sourceTree = "<group>"; };
		344FF82125AC4FBA00A9FF74 /* StoryCVC.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = StoryCVC.xib; sourceTree = "<group>"; };
		3468D52625AC8C430064A5BC /* DBHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DBHelper.swift; sourceTree = "<group>"; };
		3468D52B25ACE4B30064A5BC /* StoryDetailsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StoryDetailsVC.swift; sourceTree = "<group>"; };
		3468D53025ACEAFB0064A5BC /* StoryDetailsViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StoryDetailsViewModel.swift; sourceTree = "<group>"; };
		3468D53625ACF2190064A5BC /* ControllerManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ControllerManager.swift; sourceTree = "<group>"; };
		346EF0E525AB3F5600542244 /* placeholder.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = placeholder.png; sourceTree = "<group>"; };
		346EF0EA25AB3F5600542244 /* SDStateView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SDStateView.swift; sourceTree = "<group>"; };
		346EF0EC25AB3F5600542244 /* UILayout.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UILayout.swift; sourceTree = "<group>"; };
		346EF0ED25AB3F5600542244 /* UIViewAutolayout.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIViewAutolayout.swift; sourceTree = "<group>"; };
		346EF0EE25AB3F5600542244 /* SDStateViewExt.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SDStateViewExt.swift; sourceTree = "<group>"; };
		346EF0FD25AB3F5600542244 /* JSONEncoderDecoder.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = JSONEncoderDecoder.swift; sourceTree = "<group>"; };
		346EF0FF25AB3F5600542244 /* DynamicValue.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DynamicValue.swift; sourceTree = "<group>"; };
		346EF10625AB3F5600542244 /* APIService.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = APIService.swift; sourceTree = "<group>"; };
		346EF10725AB3F5600542244 /* Connectivity.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Connectivity.swift; sourceTree = "<group>"; };
		346EF14A25AB9FBE00542244 /* TopStoriesVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TopStoriesVC.swift; sourceTree = "<group>"; };
		346EF14F25AB9FD200542244 /* BookmarksVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookmarksVC.swift; sourceTree = "<group>"; };
		346EF15425ABA4E500542244 /* BaseVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseVC.swift; sourceTree = "<group>"; };
		346EF15C25ABA54100542244 /* StoryTVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = StoryTVC.swift; sourceTree = "<group>"; };
		346EF15D25ABA54100542244 /* StoryTVC.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = StoryTVC.xib; sourceTree = "<group>"; };
		346EF16C25ABAD7C00542244 /* Story.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Story.swift; sourceTree = "<group>"; };
		346EF17725ABBD3900542244 /* GenericDataSource.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenericDataSource.swift; sourceTree = "<group>"; };
		346EF17C25ABBFB000542244 /* TopStoriesDataSource.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TopStoriesDataSource.swift; sourceTree = "<group>"; };
		346EF18125ABC2C900542244 /* TopStoriesViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TopStoriesViewModel.swift; sourceTree = "<group>"; };
		346EF18625ABCCD700542244 /* GenericData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenericData.swift; sourceTree = "<group>"; };
		34C01D3225AA0C1B000386F7 /* NewYourkTimes.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = NewYourkTimes.app; sourceTree = BUILT_PRODUCTS_DIR; };
		34C01D3525AA0C1B000386F7 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		34C01D3725AA0C1B000386F7 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		34C01D3C25AA0C1B000386F7 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		34C01D4125AA0C1F000386F7 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		34C01D4425AA0C1F000386F7 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		34C01D4625AA0C1F000386F7 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		34C01D4B25AA0C1F000386F7 /* NewYourkTimesTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = NewYourkTimesTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		34C01D4F25AA0C1F000386F7 /* NewYourkTimesTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewYourkTimesTests.swift; sourceTree = "<group>"; };
		34C01D5125AA0C1F000386F7 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		34C01D5625AA0C1F000386F7 /* NewYourkTimesUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = NewYourkTimesUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		34C01D5A25AA0C1F000386F7 /* NewYourkTimesUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewYourkTimesUITests.swift; sourceTree = "<group>"; };
		34C01D5C25AA0C1F000386F7 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5464A3C11051789A7F4ABF53 /* Pods-NewYourkTimes.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewYourkTimes.debug.xcconfig"; path = "Target Support Files/Pods-NewYourkTimes/Pods-NewYourkTimes.debug.xcconfig"; sourceTree = "<group>"; };
		6595B63CE354B6051EDCDCB3 /* Pods-NewYourkTimes-NewYourkTimesUITests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewYourkTimes-NewYourkTimesUITests.debug.xcconfig"; path = "Target Support Files/Pods-NewYourkTimes-NewYourkTimesUITests/Pods-NewYourkTimes-NewYourkTimesUITests.debug.xcconfig"; sourceTree = "<group>"; };
		A03A79C802B48F6AEBF260DE /* Pods_NewYourkTimesTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_NewYourkTimesTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		D78D59D5F50413FD90FE7525 /* Pods-NewYourkTimesTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewYourkTimesTests.debug.xcconfig"; path = "Target Support Files/Pods-NewYourkTimesTests/Pods-NewYourkTimesTests.debug.xcconfig"; sourceTree = "<group>"; };
		F2FEAEBBD77466E8B76EF7F7 /* Pods-NewYourkTimes.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewYourkTimes.release.xcconfig"; path = "Target Support Files/Pods-NewYourkTimes/Pods-NewYourkTimes.release.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		34C01D2F25AA0C1B000386F7 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				E10A12A1391DE45926A853C6 /* Pods_NewYourkTimes.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		34C01D4825AA0C1F000386F7 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7017CC309A87581EA9D958B4 /* Pods_NewYourkTimesTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		34C01D5325AA0C1F000386F7 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F03389EE0172C4BB725D46B8 /* Pods_NewYourkTimes_NewYourkTimesUITests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		3468D52525AC8C430064A5BC /* Database */ = {
			isa = PBXGroup;
			children = (
				3468D52625AC8C430064A5BC /* DBHelper.swift */,
			);
			path = Database;
			sourceTree = "<group>";
		};
		3468D53525ACF1EB0064A5BC /* Classes */ = {
			isa = PBXGroup;
			children = (
				3468D52525AC8C430064A5BC /* Database */,
				346EF0E425AB3F5600542244 /* Resources */,
				346EF0E625AB3F5600542244 /* MyLib */,
				3468D53625ACF2190064A5BC /* ControllerManager.swift */,
			);
			path = Classes;
			sourceTree = "<group>";
		};
		346EF0E425AB3F5600542244 /* Resources */ = {
			isa = PBXGroup;
			children = (
				346EF0E525AB3F5600542244 /* placeholder.png */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		346EF0E625AB3F5600542244 /* MyLib */ = {
			isa = PBXGroup;
			children = (
				346EF0E825AB3F5600542244 /* SDStateView */,
			);
			path = MyLib;
			sourceTree = "<group>";
		};
		346EF0E825AB3F5600542244 /* SDStateView */ = {
			isa = PBXGroup;
			children = (
				346EF0E925AB3F5600542244 /* Classes */,
				346EF0EE25AB3F5600542244 /* SDStateViewExt.swift */,
			);
			path = SDStateView;
			sourceTree = "<group>";
		};
		346EF0E925AB3F5600542244 /* Classes */ = {
			isa = PBXGroup;
			children = (
				346EF0EA25AB3F5600542244 /* SDStateView.swift */,
				346EF0EB25AB3F5600542244 /* UIView+Autolayout */,
			);
			path = Classes;
			sourceTree = "<group>";
		};
		346EF0EB25AB3F5600542244 /* UIView+Autolayout */ = {
			isa = PBXGroup;
			children = (
				346EF0EC25AB3F5600542244 /* UILayout.swift */,
				346EF0ED25AB3F5600542244 /* UIViewAutolayout.swift */,
			);
			path = "UIView+Autolayout";
			sourceTree = "<group>";
		};
		346EF0F725AB3F5600542244 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
				346EF18125ABC2C900542244 /* TopStoriesViewModel.swift */,
				344FF80B25AC4EC500A9FF74 /* BookmarksViewModel.swift */,
				3468D53025ACEAFB0064A5BC /* StoryDetailsViewModel.swift */,
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		346EF0FC25AB3F5600542244 /* Models */ = {
			isa = PBXGroup;
			children = (
				346EF0FD25AB3F5600542244 /* JSONEncoderDecoder.swift */,
				346EF0FF25AB3F5600542244 /* DynamicValue.swift */,
				346EF18625ABCCD700542244 /* GenericData.swift */,
				346EF16C25ABAD7C00542244 /* Story.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		346EF10025AB3F5600542244 /* Cells */ = {
			isa = PBXGroup;
			children = (
				346EF15C25ABA54100542244 /* StoryTVC.swift */,
				346EF15D25ABA54100542244 /* StoryTVC.xib */,
				344FF82025AC4FBA00A9FF74 /* StoryCVC.swift */,
				344FF82125AC4FBA00A9FF74 /* StoryCVC.xib */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		346EF10525AB3F5600542244 /* WebServices */ = {
			isa = PBXGroup;
			children = (
				346EF10725AB3F5600542244 /* Connectivity.swift */,
				346EF10625AB3F5600542244 /* APIService.swift */,
			);
			path = WebServices;
			sourceTree = "<group>";
		};
		346EF10825AB3F5600542244 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				346EF15425ABA4E500542244 /* BaseVC.swift */,
				346EF14A25AB9FBE00542244 /* TopStoriesVC.swift */,
				346EF14F25AB9FD200542244 /* BookmarksVC.swift */,
				3468D52B25ACE4B30064A5BC /* StoryDetailsVC.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		346EF14625AB40E500542244 /* Datasource */ = {
			isa = PBXGroup;
			children = (
				346EF17725ABBD3900542244 /* GenericDataSource.swift */,
				346EF17C25ABBFB000542244 /* TopStoriesDataSource.swift */,
				344FF81025AC4EEB00A9FF74 /* BookmarksDataSource.swift */,
			);
			path = Datasource;
			sourceTree = "<group>";
		};
		34C01D2925AA0C1B000386F7 = {
			isa = PBXGroup;
			children = (
				34C01D3425AA0C1B000386F7 /* NewYourkTimes */,
				34C01D4E25AA0C1F000386F7 /* NewYourkTimesTests */,
				34C01D5925AA0C1F000386F7 /* NewYourkTimesUITests */,
				34C01D3325AA0C1B000386F7 /* Products */,
				5548B5017502A1E0EAD02476 /* Pods */,
				3E9E52ACBD9ABB589AD3ABA8 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		34C01D3325AA0C1B000386F7 /* Products */ = {
			isa = PBXGroup;
			children = (
				34C01D3225AA0C1B000386F7 /* NewYourkTimes.app */,
				34C01D4B25AA0C1F000386F7 /* NewYourkTimesTests.xctest */,
				34C01D5625AA0C1F000386F7 /* NewYourkTimesUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		34C01D3425AA0C1B000386F7 /* NewYourkTimes */ = {
			isa = PBXGroup;
			children = (
				3468D53525ACF1EB0064A5BC /* Classes */,
				346EF10525AB3F5600542244 /* WebServices */,
				346EF0FC25AB3F5600542244 /* Models */,
				346EF0F725AB3F5600542244 /* ViewModels */,
				346EF14625AB40E500542244 /* Datasource */,
				346EF10025AB3F5600542244 /* Cells */,
				346EF10825AB3F5600542244 /* Controllers */,
				34C01D3525AA0C1B000386F7 /* AppDelegate.swift */,
				34C01D3725AA0C1B000386F7 /* SceneDelegate.swift */,
				34C01D3B25AA0C1B000386F7 /* Main.storyboard */,
				34C01D4125AA0C1F000386F7 /* Assets.xcassets */,
				34C01D4325AA0C1F000386F7 /* LaunchScreen.storyboard */,
				34C01D4625AA0C1F000386F7 /* Info.plist */,
			);
			path = NewYourkTimes;
			sourceTree = "<group>";
		};
		34C01D4E25AA0C1F000386F7 /* NewYourkTimesTests */ = {
			isa = PBXGroup;
			children = (
				34C01D4F25AA0C1F000386F7 /* NewYourkTimesTests.swift */,
				34C01D5125AA0C1F000386F7 /* Info.plist */,
			);
			path = NewYourkTimesTests;
			sourceTree = "<group>";
		};
		34C01D5925AA0C1F000386F7 /* NewYourkTimesUITests */ = {
			isa = PBXGroup;
			children = (
				34C01D5A25AA0C1F000386F7 /* NewYourkTimesUITests.swift */,
				34C01D5C25AA0C1F000386F7 /* Info.plist */,
			);
			path = NewYourkTimesUITests;
			sourceTree = "<group>";
		};
		3E9E52ACBD9ABB589AD3ABA8 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				0F32E786891FCF6E5072B9FC /* Pods_NewYourkTimes.framework */,
				042A32BBD8F1F25D909CE8DD /* Pods_NewYourkTimes_NewYourkTimesUITests.framework */,
				A03A79C802B48F6AEBF260DE /* Pods_NewYourkTimesTests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		5548B5017502A1E0EAD02476 /* Pods */ = {
			isa = PBXGroup;
			children = (
				5464A3C11051789A7F4ABF53 /* Pods-NewYourkTimes.debug.xcconfig */,
				F2FEAEBBD77466E8B76EF7F7 /* Pods-NewYourkTimes.release.xcconfig */,
				6595B63CE354B6051EDCDCB3 /* Pods-NewYourkTimes-NewYourkTimesUITests.debug.xcconfig */,
				082FBD32F4D50E70FE9F0DD2 /* Pods-NewYourkTimes-NewYourkTimesUITests.release.xcconfig */,
				D78D59D5F50413FD90FE7525 /* Pods-NewYourkTimesTests.debug.xcconfig */,
				15242D28E3D1B34A0C6C9249 /* Pods-NewYourkTimesTests.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		34C01D3125AA0C1B000386F7 /* NewYourkTimes */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 34C01D5F25AA0C1F000386F7 /* Build configuration list for PBXNativeTarget "NewYourkTimes" */;
			buildPhases = (
				EAA52BC517172D6F84FD6E89 /* [CP] Check Pods Manifest.lock */,
				34C01D2E25AA0C1B000386F7 /* Sources */,
				34C01D2F25AA0C1B000386F7 /* Frameworks */,
				34C01D3025AA0C1B000386F7 /* Resources */,
				8390FF282FDE99883751BD81 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = NewYourkTimes;
			productName = NewYourkTimes;
			productReference = 34C01D3225AA0C1B000386F7 /* NewYourkTimes.app */;
			productType = "com.apple.product-type.application";
		};
		34C01D4A25AA0C1F000386F7 /* NewYourkTimesTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 34C01D6225AA0C1F000386F7 /* Build configuration list for PBXNativeTarget "NewYourkTimesTests" */;
			buildPhases = (
				0EFA96FE3A9E2E9FBBFF1CED /* [CP] Check Pods Manifest.lock */,
				34C01D4725AA0C1F000386F7 /* Sources */,
				34C01D4825AA0C1F000386F7 /* Frameworks */,
				34C01D4925AA0C1F000386F7 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				34C01D4D25AA0C1F000386F7 /* PBXTargetDependency */,
			);
			name = NewYourkTimesTests;
			productName = NewYourkTimesTests;
			productReference = 34C01D4B25AA0C1F000386F7 /* NewYourkTimesTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		34C01D5525AA0C1F000386F7 /* NewYourkTimesUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 34C01D6525AA0C1F000386F7 /* Build configuration list for PBXNativeTarget "NewYourkTimesUITests" */;
			buildPhases = (
				A18C7ABFEB273DF22E252F0C /* [CP] Check Pods Manifest.lock */,
				34C01D5225AA0C1F000386F7 /* Sources */,
				34C01D5325AA0C1F000386F7 /* Frameworks */,
				34C01D5425AA0C1F000386F7 /* Resources */,
				10829634C3EEC1FDE892FC30 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				34C01D5825AA0C1F000386F7 /* PBXTargetDependency */,
			);
			name = NewYourkTimesUITests;
			productName = NewYourkTimesUITests;
			productReference = 34C01D5625AA0C1F000386F7 /* NewYourkTimesUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		34C01D2A25AA0C1B000386F7 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1210;
				LastUpgradeCheck = 1210;
				TargetAttributes = {
					34C01D3125AA0C1B000386F7 = {
						CreatedOnToolsVersion = 12.1;
					};
					34C01D4A25AA0C1F000386F7 = {
						CreatedOnToolsVersion = 12.1;
						TestTargetID = 34C01D3125AA0C1B000386F7;
					};
					34C01D5525AA0C1F000386F7 = {
						CreatedOnToolsVersion = 12.1;
						TestTargetID = 34C01D3125AA0C1B000386F7;
					};
				};
			};
			buildConfigurationList = 34C01D2D25AA0C1B000386F7 /* Build configuration list for PBXProject "NewYourkTimes" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 34C01D2925AA0C1B000386F7;
			productRefGroup = 34C01D3325AA0C1B000386F7 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				34C01D3125AA0C1B000386F7 /* NewYourkTimes */,
				34C01D4A25AA0C1F000386F7 /* NewYourkTimesTests */,
				34C01D5525AA0C1F000386F7 /* NewYourkTimesUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		34C01D3025AA0C1B000386F7 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				346EF15F25ABA54100542244 /* StoryTVC.xib in Resources */,
				34C01D4525AA0C1F000386F7 /* LaunchScreen.storyboard in Resources */,
				344FF82325AC4FBA00A9FF74 /* StoryCVC.xib in Resources */,
				346EF10C25AB3F5600542244 /* placeholder.png in Resources */,
				34C01D4225AA0C1F000386F7 /* Assets.xcassets in Resources */,
				34C01D3D25AA0C1B000386F7 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		34C01D4925AA0C1F000386F7 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		34C01D5425AA0C1F000386F7 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0EFA96FE3A9E2E9FBBFF1CED /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-NewYourkTimesTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		10829634C3EEC1FDE892FC30 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-NewYourkTimes-NewYourkTimesUITests/Pods-NewYourkTimes-NewYourkTimesUITests-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-NewYourkTimes-NewYourkTimesUITests/Pods-NewYourkTimes-NewYourkTimesUITests-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-NewYourkTimes-NewYourkTimesUITests/Pods-NewYourkTimes-NewYourkTimesUITests-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		8390FF282FDE99883751BD81 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-NewYourkTimes/Pods-NewYourkTimes-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-NewYourkTimes/Pods-NewYourkTimes-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-NewYourkTimes/Pods-NewYourkTimes-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		A18C7ABFEB273DF22E252F0C /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-NewYourkTimes-NewYourkTimesUITests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		EAA52BC517172D6F84FD6E89 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-NewYourkTimes-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		34C01D2E25AA0C1B000386F7 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				344FF81125AC4EEB00A9FF74 /* BookmarksDataSource.swift in Sources */,
				346EF10F25AB3F5600542244 /* UILayout.swift in Sources */,
				346EF11025AB3F5600542244 /* UIViewAutolayout.swift in Sources */,
				346EF11C25AB3F5600542244 /* JSONEncoderDecoder.swift in Sources */,
				3468D52725AC8C430064A5BC /* DBHelper.swift in Sources */,
				346EF15E25ABA54100542244 /* StoryTVC.swift in Sources */,
				346EF11E25AB3F5600542244 /* DynamicValue.swift in Sources */,
				346EF17D25ABBFB000542244 /* TopStoriesDataSource.swift in Sources */,
				346EF15525ABA4E500542244 /* BaseVC.swift in Sources */,
				346EF16D25ABAD7C00542244 /* Story.swift in Sources */,
				346EF17825ABBD3900542244 /* GenericDataSource.swift in Sources */,
				34C01D3625AA0C1B000386F7 /* AppDelegate.swift in Sources */,
				346EF18725ABCCD700542244 /* GenericData.swift in Sources */,
				346EF15025AB9FD200542244 /* BookmarksVC.swift in Sources */,
				346EF14B25AB9FBF00542244 /* TopStoriesVC.swift in Sources */,
				3468D52C25ACE4B30064A5BC /* StoryDetailsVC.swift in Sources */,
				344FF80C25AC4EC500A9FF74 /* BookmarksViewModel.swift in Sources */,
				346EF11125AB3F5600542244 /* SDStateViewExt.swift in Sources */,
				346EF12325AB3F5600542244 /* APIService.swift in Sources */,
				346EF18225ABC2C900542244 /* TopStoriesViewModel.swift in Sources */,
				346EF12425AB3F5600542244 /* Connectivity.swift in Sources */,
				3468D53125ACEAFB0064A5BC /* StoryDetailsViewModel.swift in Sources */,
				34C01D3825AA0C1B000386F7 /* SceneDelegate.swift in Sources */,
				3468D53725ACF2190064A5BC /* ControllerManager.swift in Sources */,
				346EF10E25AB3F5600542244 /* SDStateView.swift in Sources */,
				344FF82225AC4FBA00A9FF74 /* StoryCVC.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		34C01D4725AA0C1F000386F7 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				34C01D5025AA0C1F000386F7 /* NewYourkTimesTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		34C01D5225AA0C1F000386F7 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				34C01D5B25AA0C1F000386F7 /* NewYourkTimesUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		34C01D4D25AA0C1F000386F7 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 34C01D3125AA0C1B000386F7 /* NewYourkTimes */;
			targetProxy = 34C01D4C25AA0C1F000386F7 /* PBXContainerItemProxy */;
		};
		34C01D5825AA0C1F000386F7 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 34C01D3125AA0C1B000386F7 /* NewYourkTimes */;
			targetProxy = 34C01D5725AA0C1F000386F7 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		34C01D3B25AA0C1B000386F7 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				34C01D3C25AA0C1B000386F7 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		34C01D4325AA0C1F000386F7 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				34C01D4425AA0C1F000386F7 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		34C01D5D25AA0C1F000386F7 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		34C01D5E25AA0C1F000386F7 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		34C01D6025AA0C1F000386F7 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 5464A3C11051789A7F4ABF53 /* Pods-NewYourkTimes.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = MH5S9WT78C;
				INFOPLIST_FILE = NewYourkTimes/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Mouayyad.NewYourkTimes;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		34C01D6125AA0C1F000386F7 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = F2FEAEBBD77466E8B76EF7F7 /* Pods-NewYourkTimes.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = MH5S9WT78C;
				INFOPLIST_FILE = NewYourkTimes/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Mouayyad.NewYourkTimes;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		34C01D6325AA0C1F000386F7 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = D78D59D5F50413FD90FE7525 /* Pods-NewYourkTimesTests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = MH5S9WT78C;
				INFOPLIST_FILE = NewYourkTimesTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.1;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Mouayyad.NewYourkTimesTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/NewYourkTimes.app/NewYourkTimes";
			};
			name = Debug;
		};
		34C01D6425AA0C1F000386F7 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 15242D28E3D1B34A0C6C9249 /* Pods-NewYourkTimesTests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = MH5S9WT78C;
				INFOPLIST_FILE = NewYourkTimesTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.1;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Mouayyad.NewYourkTimesTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/NewYourkTimes.app/NewYourkTimes";
			};
			name = Release;
		};
		34C01D6625AA0C1F000386F7 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 6595B63CE354B6051EDCDCB3 /* Pods-NewYourkTimes-NewYourkTimesUITests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = MH5S9WT78C;
				INFOPLIST_FILE = NewYourkTimesUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Mouayyad.NewYourkTimesUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = NewYourkTimes;
			};
			name = Debug;
		};
		34C01D6725AA0C1F000386F7 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 082FBD32F4D50E70FE9F0DD2 /* Pods-NewYourkTimes-NewYourkTimesUITests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = MH5S9WT78C;
				INFOPLIST_FILE = NewYourkTimesUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Mouayyad.NewYourkTimesUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = NewYourkTimes;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		34C01D2D25AA0C1B000386F7 /* Build configuration list for PBXProject "NewYourkTimes" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				34C01D5D25AA0C1F000386F7 /* Debug */,
				34C01D5E25AA0C1F000386F7 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		34C01D5F25AA0C1F000386F7 /* Build configuration list for PBXNativeTarget "NewYourkTimes" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				34C01D6025AA0C1F000386F7 /* Debug */,
				34C01D6125AA0C1F000386F7 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		34C01D6225AA0C1F000386F7 /* Build configuration list for PBXNativeTarget "NewYourkTimesTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				34C01D6325AA0C1F000386F7 /* Debug */,
				34C01D6425AA0C1F000386F7 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		34C01D6525AA0C1F000386F7 /* Build configuration list for PBXNativeTarget "NewYourkTimesUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				34C01D6625AA0C1F000386F7 /* Debug */,
				34C01D6725AA0C1F000386F7 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 34C01D2A25AA0C1B000386F7 /* Project object */;
}
